Subject: bug#47257: mariadb is vulnerable to CVE-2021-27928 (RCE)

From: Léo Le Bouter <[email-masked]>
Date: Thu, 25 Mar 2021 12:28:15 +0100

On Fri, 2021-03-19 at 12:35 +0100, zimoun wrote:
> Instead of grafting, I would fix first check the compatibility
> between
> mariadb  and zstd.  Because [email-masked] does not build with
> [email-masked], at least on my machine.

Can you post build logs and repro scenario? [email-masked] built fine
for me on core-updates which has [email-masked].

> Other said, I seem better to do this fix as a whole on core-updates
> without any graft.  Instead of grafting here and there; and not
> necessary small changes (zstd from 1.4.4 to 1.4.9, mariadb from
> 10.5.8
> to 10.5.8).

We can't patch security issues through core-updates, especially this
RCE.

> All the best,
> simon